<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;

// use Illuminate\Database\Console\Seeds\WithoutModelEvents;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     */
    public function run(): void
    {
        $this->call([
            SystemUsersTableSeeder::class,
            SystemRolesTableSeeder::class,
            SystemModelHasRolesTableSeeder::class,
            SystemMenusTableSeeder::class,
            SystemPermissionsTableSeeder::class,
            SystemRoleHasPermissionsTableSeeder::class,
            SystemDictTableSeeder::class
            // 其他Seeder类...
        ]);
    }
}
