<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class SystemDictTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        //
        DB::table('system_dict_type')->insert(['id' => 10, 'name' => '系统状态', 'type' => 'common_status', 'creator' => '系统']);
        //DB::table('system_dict_type')->insert(['id' => 110, 'name' => '角色类型', 'type' => 'system_role_type', 'creator' => '系统']);

        DB::table('system_dict_data')->insert(['label' => '开启', 'value' => 0, 'dict_type' => 'common_status', 'creator' => '系统']);
        DB::table('system_dict_data')->insert(['label' => '关闭', 'value' => 1, 'dict_type' => 'common_status', 'creator' => '系统']);


        DB::table('system_dict_data')->insert(['label' => '目录', 'value' => 1, 'dict_type' => 'system_menu_type', 'creator' => '系统']);
        DB::table('system_dict_data')->insert(['label' => '菜单', 'value' => 2, 'dict_type' => 'system_menu_type', 'creator' => '系统']);
        DB::table('system_dict_data')->insert(['label' => '按钮', 'value' => 3, 'dict_type' => 'system_menu_type', 'creator' => '系统']);

    }
}
