<?php declare(strict_types=1);

/**
 * @Name
 * @Description
 * @Author 刘学玺
 * @Date 2024/8/19 01:05
 */

namespace App\Enums\System\Login;

use BenSampo\Enum\Enum;

final class LogType extends Enum
{
    const LOGIN_USERNAME = 100; // 使用账号登录
    const LOGIN_SOCIAL = 101; // 使用社交登录
    const LOGIN_MOBILE = 103; // 使用手机登陆
    const LOGIN_SMS = 104; // 使用短信登陆

    const LOGOUT_SELF = 200;  // 自己主动登出
    const LOGOUT_DELETE = 202; // 强制退出
}
