<?php
/**
 * @Name
 * @Description
 * @Author 刘学玺
 * @Date 2024/8/14 12:55
 */

namespace App\Http\Requests;

use App\Exceptions\ApiException;
use Illuminate\Contracts\Validation\Validator;
use Illuminate\Foundation\Http\FormRequest;
use Symfony\Component\HttpFoundation\Response;

class Request  extends FormRequest
{
    protected function failedValidation(Validator $validator)
    {
        $firstError = $validator->errors()->first();
        throw new ApiException([
            'message' => $firstError,
            "status" => Response::HTTP_UNPROCESSABLE_ENTITY
        ]);
    }
}
