<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class SystemRolesTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $tableNames = config('permission.table_names');

        //
        DB::table($tableNames['roles'])->insert(['id' => 1, 'name' => '超级管理员', 'code' => 'super_admin', 'type' => 1, 'creator' => '系统']);

    }
}
