<?php

namespace Database\Seeders;

use App\Models\System\User;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Hash;

class SystemUsersTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        //
        DB::table('system_users')->insert(['id' => 1, 'name' => 'administrator', 'password' => '$2y$12$FD.RtwKBvPN.9dHRf00/7O3u447/YACyY.daCb9Ctblm3IQPRosTW']);
        DB::table('system_users')->insert(['id' => 2, 'name' => 'admin', 'password' => Hash::make('admin')]);
    }
}
