<?php

use App\Http\Controllers\Backend\Server\System\UserController;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

Route::prefix('client')->group(function () {
    Route::get('/', function () {
        return ['Laravel' => 'frontend client'];
    });
});

Route::prefix('server')->group(function () {
    Route::get('/', function () {
        return ['Laravel' => 'frontend server'];
    });
});

Route::middleware(['auth:sanctum'])->get('/user', function (Request $request) {
    return $request->user();
});
